/*
 * RSH - Robte si hocičo
 *
 * Ktokoľvek a čokoľvek smie kopírovať, upravovať, zverejňovať,
 * používať, kompilovať, predávať a šíriť toto dielo
 * a všetky jeho časti v akejkoľvek podobe na akékoľvek účely,
 * komerčné a nekomerčné, bez akýchkoľvek obmedzení,
 * bez dodržiavania akýchkoľvek podmienok
 * a akýmikoľvek prostriedkami.
 *
 * Jeder und alles darf kopieren, bearbeiten, veröffentlichen,
 * verwenden, kompilieren, verkaufen und verbreiten dieses Werk
 * und alle seine Teile in irgendeiner Form für irgendeinen Zweck,
 * kommerziell und nichtkommerziell, ohne Beschränkungen,
 * ohne irgendwelche Bedingungen einzuhalten
 * und mit allen Mitteln.
 *
 * Anyone and anything may copy, edit, publish,
 * use, compile, sell and distribute this work
 * and all its parts in any form for any purpose,
 * commercial and non-commercial, without any restrictions,
 * without complying with any conditions
 * and by any means.
 */

#include "cppkni.h"

enum include_cesta_typ {
    INCLUDE_CESTA_UUVODZOVKY,
    INCLUDE_CESTA_SHIKMEE,
    INCLUDE_CESTA_SYSTEEM,
    INCLUDE_CESTA_PO_SYSTEEM,
    INCLUDE_CESTA_MAX
};

typedef struct {
    cpp_adresaar *shtarty[INCLUDE_CESTA_MAX];
    cpp_adresaar *konce[INCLUDE_CESTA_MAX];
} include_cesty;

include_cesty *ic_vytvor_include_cesty(void);
    
void ic_pridaj_cpp_adr_do_rethaze(include_cesty *ic, cpp_adresaar *adr,
                                  enum include_cesta_typ typ);
void ic_pridaj_cestu(include_cesty *ic, char *cesta,
                     enum include_cesta_typ typ);
void ic_registruj_include_rethaze(include_cesty *ic, cpp_cshii *cshii);
