/*
 * RSH - Robte si hocičo
 *
 * Ktokoľvek a čokoľvek smie kopírovať, upravovať, zverejňovať,
 * používať, kompilovať, predávať a šíriť toto dielo
 * a všetky jeho časti v akejkoľvek podobe na akékoľvek účely,
 * komerčné a nekomerčné, bez akýchkoľvek obmedzení,
 * bez dodržiavania akýchkoľvek podmienok
 * a akýmikoľvek prostriedkami.
 *
 * Jeder und alles darf kopieren, bearbeiten, veröffentlichen,
 * verwenden, kompilieren, verkaufen und verbreiten dieses Werk
 * und alle seine Teile in irgendeiner Form für irgendeinen Zweck,
 * kommerziell und nichtkommerziell, ohne Beschränkungen,
 * ohne irgendwelche Bedingungen einzuhalten
 * und mit allen Mitteln.
 *
 * Anyone and anything may copy, edit, publish,
 * use, compile, sell and distribute this work
 * and all its parts in any form for any purpose,
 * commercial and non-commercial, without any restrictions,
 * without complying with any conditions
 * and by any means.
 */

#ifndef TABSYM_H
#define TABSYM_H

typedef struct tabsym_r {
    unsigned char *meno;
    int dllzhka;
    struct tabsym_r *dhalshii;
} tabsym_r;

typedef struct {
    tabsym_r **riadky;
    int velhkosth;

    tabsym_r *(*alokuj_r)(void);
} tabsym;

tabsym *tabsym_vytvor_tabsym(int velhkosth, tabsym_r *(*alokuj_r)(void));
void tabsym_znicsh_tabsym(tabsym *ts);
tabsym_r *tabsym_najdi(tabsym *tab, const unsigned char *meno, int dllzhka);

#endif /* TABSYM_H */
